Bug 1008852 - SELinux is preventing /usr/libexec/deja-dup/deja-dup-monitor from 'mmap_zero' accesses on the memprotect .
SELinux is preventing /usr/libexec/deja-dup/deja-dup-monitor from 'mmap_zero'...
Status: CLOSED DUPLICATE of bug 490753
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:171f6dc09b035cb40070df5b261...
:
: 1029253 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 04:00 EDT by Christopher Meng
Modified: 2013-11-12 05:30 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 17:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-17 04:00:35 EDT
Description of problem:
SELinux is preventing /usr/libexec/deja-dup/deja-dup-monitor from 'mmap_zero' accesses on the memprotect .

*****  Plugin mmap_zero (53.1 confidence) suggests   *************************

If you do not think /usr/libexec/deja-dup/deja-dup-monitor should need to mmap low memory in the kernel.
Then you may be under attack by a hacker, this is a very dangerous access.
Do
contact your security administrator and report this issue.

*****  Plugin catchall_boolean (42.6 confidence) suggests   ******************

If you want to control the ability to mmap a low area of the address space, as configured by /proc/sys/kernel/mmap_min_addr.
Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
You can read 'unconfined_selinux' man page for more details.
Do
setsebool -P mmap_low_allowed 1

*****  Plugin catchall (5.76 confidence) suggests   **************************

If you believe that deja-dup-monitor should be allowed mmap_zero access on the  memprotect by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep 64636F6E6620776F726B6572 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ memprotect ]
Source                        64636F6E6620776F726B6572
Source Path                   /usr/libexec/deja-dup/deja-dup-monitor
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           deja-dup-27.3.1-2.fc20.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-80.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.0-0.rc0.git19.2.fc21.i686 #1
                              SMP Wed Sep 11 12:50:53 UTC 2013 i686 i686
Alert Count                   20
First Seen                    2013-09-17 13:45:58 CST
Last Seen                     2013-09-17 13:51:36 CST
Local ID                      adc91271-ae56-421d-b490-6b93905a6d83

Raw Audit Messages
type=AVC msg=audit(1379397096.26:21591): avc:  denied  { mmap_zero } for  pid=1414 comm=64636F6E6620776F726B6572 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=memprotect


type=SYSCALL msg=audit(1379397096.26:21591): arch=i386 syscall=mmap2 success=no exit=EACCES a0=0 a1=1000 a2=3 a3=22 items=0 ppid=1252 pid=1414 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=64636F6E6620776F726B6572 exe=/usr/libexec/deja-dup/deja-dup-monitor subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

Hash: 64636F6E6620776F726B6572,unconfined_t,unconfined_t,memprotect,mmap_zero

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.12.0-0.rc0.git19.2.fc21.i686
type:           libreport
Comment 1 Daniel Walsh 2013-09-23 12:01:39 EDT
Deja-dup should not be trying to mmap low memory.  This is a potential security problem.
Comment 2 Christopher Meng 2013-09-27 03:53:23 EDT
Ya, just found that it's suspicious with 48.3% MEM eating. (I only have 2GB on my old laptop, and just hanged)
Comment 3 Eric Paris 2013-09-30 17:43:57 EDT

*** This bug has been marked as a duplicate of bug 490753 ***
Comment 4 Miroslav Grepl 2013-11-12 05:30:07 EST
*** Bug 1029253 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.